GNU bug report logs - #43007
27.1; M-j doesn't behave properly in comments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alessio Vanni <vannilla@HIDDEN>; dated Sun, 23 Aug 2020 21:56:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43007 <at> debbugs.gnu.org:


Received: (at 43007) by debbugs.gnu.org; 24 Aug 2020 15:23:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 11:23:50 2020
Received: from localhost ([127.0.0.1]:58919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAEK6-0005Ed-4z
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 11:23:50 -0400
Received: from mail.cock.li ([37.120.193.124]:59104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vannilla@HIDDEN>) id 1kAAvx-0002mT-Br
 for 43007 <at> debbugs.gnu.org; Mon, 24 Aug 2020 07:46:43 -0400
From: Alessio Vanni <vannilla@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=firemail.cc; s=mail;
 t=1598269594; bh=qbef9x9bld6SQzSFAvxGehmSBIzDWPDMPt+hmEdpvr8=;
 h=From:To:Subject:References:Date:In-Reply-To:From;
 b=dM+DNmlxpg9pF+NoK9JN6jFwCQ6rtJ2eEveak6cheZGls+u8UAPlh6DmMd+1DvGe8
 ucGxb9j3TjsAj+LtzdItY2XY/Arxp+8KkojpbbpAY/1O8Z0zlDiyiS0v3DRsBWtMkp
 m1ZTgEaEu6NpKoCcP8SNomWZ08zz1I8mZzCaWCuokSA6tIMUJwh+aG7fOL3efE4pbz
 INO12NoDNIgypzs5n8kDFZJnjFI5XVPlnZc0kTTy0PIWQf1XQUO4h2dkO4/V+TIIbj
 +g3j0rGfA7uXBcY0llIUUAJcoSJvyaM5rk+24R4YQFA2vv3b491EdfArbqLSqUst9W
 KDjHy5bAHPrXA==
To: 43007 <at> debbugs.gnu.org
Subject: Re: bug#43007: 27.1; M-j doesn't behave properly in comments
References: <87imd9qba6.fsf@HIDDEN> <87imd8es7j.fsf@HIDDEN>
Date: Mon, 24 Aug 2020 13:47:00 +0200
In-Reply-To: <87imd8es7j.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 24 Aug 2020 03:41:04 +0200")
Message-ID: <878se4xo3v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43007
X-Mailman-Approved-At: Mon, 24 Aug 2020 11:23:49 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> This happens for me, too, if I have point behind the "//" characters.
> But that seems like a natural behaviour?

When the point is at the end of the line, as it's normal after writing
something, the new line is still being opened above.

I should add that after testing it some more after sending the bug
report, it managed to create a new line above a paragraph that was
disconnected to the one I was currently editing, like so (the |
character is the point):

// Paragraph one.
// With some other lines.

normal(text);

// Another paragraph
// begins here.|

Which became:

// |
// Paragraph one.
// With some other lines.

normal(text);

// Another paragraph
// begins here.

> I'm unable to reproduce this in Emacs 28.  Where is point when you hit M-j?

The point is always in the spot placed by M-j.  In the case of //, it's
after the space (so 3 characters after the beginning of the line), in
case of *, it's right after the star without any spaces.  The first time
I press the keybinding the point is at the end of the line, as shown in
the example above.

This is happening consistently, both in my customized session and with
emacs -Q.  The end result is relatively random and sometimes it doesn't
break immediately, but it happens eventually after a while that I'm
editing a file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43007; Package emacs. Full text available.

Message received at 43007 <at> debbugs.gnu.org:


Received: (at 43007) by debbugs.gnu.org; 24 Aug 2020 01:41:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 23 21:41:22 2020
Received: from localhost ([127.0.0.1]:55492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA1UA-00065d-5C
	for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 21:41:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kA1U8-00065P-Rn
 for 43007 <at> debbugs.gnu.org; Sun, 23 Aug 2020 21:41:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ce/b4q9BinJwlIz02Bl/HOt8ODqZ4Wm7AJvpSsodxcc=; b=o5eoW0M5+qLdWI/rQdupRobdBH
 wi7p9r6vtmEZE0jnA12BJG/UbOGVO5ozertBN1kjVV57+AciA4LvOQIJwZnffVjwMRFlfAuTmsSPa
 OnS9hiN/utu1+sBDUC1n3DyzQBxEKNQ6dWMUm0lRTWcy7e0ylceW4Txcel3JCZ8PuSAQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kA1Tt-0007DB-OG; Mon, 24 Aug 2020 03:41:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alessio Vanni <vannilla@HIDDEN>
Subject: Re: bug#43007: 27.1; M-j doesn't behave properly in comments
References: <87imd9qba6.fsf@HIDDEN>
X-Now-Playing: Kronos Quartet's _Terry Riley: Sun Rings_: "Beebopterismo"
Date: Mon, 24 Aug 2020 03:41:04 +0200
In-Reply-To: <87imd9qba6.fsf@HIDDEN> (Alessio Vanni's message of "Sun, 23
 Aug 2020 23:53:37 +0200")
Message-ID: <87imd8es7j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Alessio Vanni <vannilla@HIDDEN> writes: > I normally
 use M-j to continue a long comment over multiple lines. > Recently,
 this feature
 broke in a rather weird way: new lines are opened > as a comment, but the
 new line is placed above the lin [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43007
Cc: 43007 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alessio Vanni <vannilla@HIDDEN> writes:

> I normally use M-j to continue a long comment over multiple lines.
> Recently, this feature broke in a rather weird way: new lines are opened
> as a comment, but the new line is placed above the line with the point,
> rather than below.  In some other cases, the line appears in the correct
> place, but opening a new line results in a '*' character instead of a
> comment (the character is used on modes where '*' is part of a comment,
> like `js-mode' or `cc-mode'.)
>
> This happens when running "emacs -Q" too.
>
> Example:
>
> // some comment.
>
> Becomes:
>
> //
> // some comment.

This happens for me, too, if I have point behind the "//" characters.
But that seems like a natural behaviour?

> Alternatively:
>
> // some comment.
> //
> //
>   *
>   *
>   *
>   *
>
> (the '*' just keeps happening for every M-j.)

I'm unable to reproduce this in Emacs 28.  Where is point when you hit M-j?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43007; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Aug 2020 21:55:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 23 17:55:56 2020
Received: from localhost ([127.0.0.1]:55295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9xxz-0002WH-5K
	for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 17:55:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:59256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vannilla@HIDDEN>) id 1k9xvX-0002SG-5g
 for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 17:53:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59050)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vannilla@HIDDEN>)
 id 1k9xvW-0000v0-TJ
 for bug-gnu-emacs@HIDDEN; Sun, 23 Aug 2020 17:53:22 -0400
Received: from mail.cock.li ([37.120.193.124]:42678)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vannilla@HIDDEN>)
 id 1k9xvT-0002Ey-8r
 for bug-gnu-emacs@HIDDEN; Sun, 23 Aug 2020 17:53:22 -0400
From: Alessio Vanni <vannilla@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=firemail.cc; s=mail;
 t=1598219594; bh=HqzuOgPBBvmp8Lj3rf2mmubXIzOTmHdN/E0nyvo7RfI=;
 h=From:To:Subject:Date:From;
 b=0BM7ZyaUwkyB4HnmlOAk+h25jJM7gYRK5eKFAbba7KtSCUXqbaJ5N49wieqw3O+Wk
 fssTHQniiMm5TEu2fbSfAaAjAIPoQNYtEhMr9nmkEghtcCPE03M/YgXDCTghVfKSoB
 T8WvEbsUWAxW+SlStUQB0IteDGO1StuiznWkk4UbIyJqZMZvN9VzGIlEoM9IQ4A6I0
 FhRoI44KcHe4o19onXjKoTZYjcLeMkmrRvSpu13Oy9X+4KiICyQs8qry/6gDrphVcK
 mRERJtoE2pID13FISCfTca+uvMaigKVsdL68SsJVQ97w9JnvkEkq9LuL7W2y4/vpaA
 YVLcSbd2YhDXA==
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; M-j doesn't behave properly in comments
Date: Sun, 23 Aug 2020 23:53:37 +0200
Message-ID: <87imd9qba6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: permerror client-ip=37.120.193.124;
 envelope-from=vannilla@HIDDEN; helo=mail.cock.li
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/23 17:53:14
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 T_SPF_PERMERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 23 Aug 2020 17:55:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I normally use M-j to continue a long comment over multiple lines.
Recently, this feature broke in a rather weird way: new lines are opened
as a comment, but the new line is placed above the line with the point,
rather than below.  In some other cases, the line appears in the correct
place, but opening a new line results in a '*' character instead of a
comment (the character is used on modes where '*' is part of a comment,
like `js-mode' or `cc-mode'.)

This happens when running "emacs -Q" too.

Example:

// some comment.

Becomes:

//
// some comment.

Alternatively:

// some comment.
//
//
  *
  *
  *
  *

(the '*' just keeps happening for every M-j.)

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, cairo version 1.16.0)
 of 2020-08-12 built on localhost
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Gentoo/Linux

Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-silent-rules
 --docdir=/usr/share/doc/emacs-27.1
 --htmldir=/usr/share/doc/emacs-27.1/html --libdir=/usr/lib64
 --program-suffix=-emacs-27 --includedir=/usr/include/emacs-27
 --infodir=/usr/share/info/emacs-27 --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-dumping=pdumper --with-file-notification=no --enable-acl
 --without-dbus --with-modules --without-gameuser --with-libgmp
 --without-gpm --with-json --without-kerberos --without-kerberos5
 --with-lcms2 --with-xml2 --with-mailutils --without-selinux
 --with-gnutls --without-libsystemd --with-threads --without-wide-int
 --with-zlib --with-sound=alsa --with-x --without-ns --without-gconf
 --without-gsettings --without-toolkit-scroll-bars --with-gif
 --with-jpeg --with-png --with-rsvg --without-tiff --with-xpm
 --without-imagemagick --with-xft --with-cairo --with-harfbuzz
 --with-libotf --with-m17n-flt --with-x-toolkit=no 'CFLAGS=-O2 -pipe
 -march=native' CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Configured features:
XPM JPEG GIF PNG RSVG CAIRO SOUND GLIB ACL GNUTLS LIBXML2 FREETYPE
HARFBUZZ M17N_FLT LIBOTF ZLIB OLDXMENU X11 XDBE XIM MODULES THREADS JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: EXWM

Minor modes in effect:
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  global-page-break-lines-mode: t
  global-column-enforce-mode: t
  auto-insert-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/vanni/.emacs.d/elpa/org-20200817/ob-clojure hides /usr/share/emacs/27.1/lisp/org/ob-clojure
/home/vanni/.emacs.d/elpa/org-20200817/org-inlinetask hides /usr/share/emacs/27.1/lisp/org/org-inlinetask
/home/vanni/.emacs.d/elpa/org-20200817/org-tempo hides /usr/share/emacs/27.1/lisp/org/org-tempo
/home/vanni/.emacs.d/elpa/org-20200817/ob-J hides /usr/share/emacs/27.1/lisp/org/ob-J
/home/vanni/.emacs.d/elpa/org-20200817/ox-org hides /usr/share/emacs/27.1/lisp/org/ox-org
/home/vanni/.emacs.d/elpa/org-20200817/ox-man hides /usr/share/emacs/27.1/lisp/org/ox-man
/home/vanni/.emacs.d/elpa/org-20200817/ob hides /usr/share/emacs/27.1/lisp/org/ob
/home/vanni/.emacs.d/elpa/org-20200817/ob-java hides /usr/share/emacs/27.1/lisp/org/ob-java
/home/vanni/.emacs.d/elpa/org-20200817/ob-core hides /usr/share/emacs/27.1/lisp/org/ob-core
/home/vanni/.emacs.d/elpa/org-20200817/org-macro hides /usr/share/emacs/27.1/lisp/org/org-macro
/home/vanni/.emacs.d/elpa/org-20200817/ob-js hides /usr/share/emacs/27.1/lisp/org/ob-js
/home/vanni/.emacs.d/elpa/org-20200817/ol-mhe hides /usr/share/emacs/27.1/lisp/org/ol-mhe
/home/vanni/.emacs.d/elpa/org-20200817/ob-abc hides /usr/share/emacs/27.1/lisp/org/ob-abc
/home/vanni/.emacs.d/elpa/org-20200817/ol-rmail hides /usr/share/emacs/27.1/lisp/org/ol-rmail
/home/vanni/.emacs.d/elpa/org-20200817/org-mouse hides /usr/share/emacs/27.1/lisp/org/org-mouse
/home/vanni/.emacs.d/elpa/org-20200817/ob-shell hides /usr/share/emacs/27.1/lisp/org/ob-shell
/home/vanni/.emacs.d/elpa/org-20200817/ob-calc hides /usr/share/emacs/27.1/lisp/org/ob-calc
/home/vanni/.emacs.d/elpa/org-20200817/ob-stan hides /usr/share/emacs/27.1/lisp/org/ob-stan
/home/vanni/.emacs.d/elpa/org-20200817/ob-eshell hides /usr/share/emacs/27.1/lisp/org/ob-eshell
/home/vanni/.emacs.d/elpa/org-20200817/ol-info hides /usr/share/emacs/27.1/lisp/org/ol-info
/home/vanni/.emacs.d/elpa/org-20200817/ob-comint hides /usr/share/emacs/27.1/lisp/org/ob-comint
/home/vanni/.emacs.d/elpa/org-20200817/org-archive hides /usr/share/emacs/27.1/lisp/org/org-archive
/home/vanni/.emacs.d/elpa/org-20200817/org-version hides /usr/share/emacs/27.1/lisp/org/org-version
/home/vanni/.emacs.d/elpa/org-20200817/org-entities hides /usr/share/emacs/27.1/lisp/org/org-entities
/home/vanni/.emacs.d/elpa/org-20200817/org-mobile hides /usr/share/emacs/27.1/lisp/org/org-mobile
/home/vanni/.emacs.d/elpa/org-20200817/org-agenda hides /usr/share/emacs/27.1/lisp/org/org-agenda
/home/vanni/.emacs.d/elpa/org-20200817/org-plot hides /usr/share/emacs/27.1/lisp/org/org-plot
/home/vanni/.emacs.d/elpa/org-20200817/ob-sass hides /usr/share/emacs/27.1/lisp/org/ob-sass
/home/vanni/.emacs.d/elpa/org-20200817/ox-icalendar hides /usr/share/emacs/27.1/lisp/org/ox-icalendar
/home/vanni/.emacs.d/elpa/org-20200817/ob-sql hides /usr/share/emacs/27.1/lisp/org/ob-sql
/home/vanni/.emacs.d/elpa/org-20200817/ox-md hides /usr/share/emacs/27.1/lisp/org/ox-md
/home/vanni/.emacs.d/elpa/org-20200817/org-crypt hides /usr/share/emacs/27.1/lisp/org/org-crypt
/home/vanni/.emacs.d/elpa/org-20200817/ox-texinfo hides /usr/share/emacs/27.1/lisp/org/ox-texinfo
/home/vanni/.emacs.d/elpa/org-20200817/ob-ruby hides /usr/share/emacs/27.1/lisp/org/ob-ruby
/home/vanni/.emacs.d/elpa/org-20200817/ob-shen hides /usr/share/emacs/27.1/lisp/org/ob-shen
/home/vanni/.emacs.d/elpa/org-20200817/ob-gnuplot hides /usr/share/emacs/27.1/lisp/org/ob-gnuplot
/home/vanni/.emacs.d/elpa/org-20200817/org-install hides /usr/share/emacs/27.1/lisp/org/org-install
/home/vanni/.emacs.d/elpa/org-20200817/ox-html hides /usr/share/emacs/27.1/lisp/org/ox-html
/home/vanni/.emacs.d/elpa/org-20200817/ob-asymptote hides /usr/share/emacs/27.1/lisp/org/ob-asymptote
/home/vanni/.emacs.d/elpa/org-20200817/ob-lua hides /usr/share/emacs/27.1/lisp/org/ob-lua
/home/vanni/.emacs.d/elpa/org-20200817/ol hides /usr/share/emacs/27.1/lisp/org/ol
/home/vanni/.emacs.d/elpa/org-20200817/ox-ascii hides /usr/share/emacs/27.1/lisp/org/ox-ascii
/home/vanni/.emacs.d/elpa/org-20200817/org-macs hides /usr/share/emacs/27.1/lisp/org/org-macs
/home/vanni/.emacs.d/elpa/org-20200817/ob-coq hides /usr/share/emacs/27.1/lisp/org/ob-coq
/home/vanni/.emacs.d/elpa/org-20200817/ol-eshell hides /usr/share/emacs/27.1/lisp/org/ol-eshell
/home/vanni/.emacs.d/elpa/org-20200817/ob-makefile hides /usr/share/emacs/27.1/lisp/org/ob-makefile
/home/vanni/.emacs.d/elpa/org-20200817/org-attach hides /usr/share/emacs/27.1/lisp/org/org-attach
/home/vanni/.emacs.d/elpa/org-20200817/ob-latex hides /usr/share/emacs/27.1/lisp/org/ob-latex
/home/vanni/.emacs.d/elpa/org-20200817/ob-hledger hides /usr/share/emacs/27.1/lisp/org/ob-hledger
/home/vanni/.emacs.d/elpa/org-20200817/ob-haskell hides /usr/share/emacs/27.1/lisp/org/ob-haskell
/home/vanni/.emacs.d/elpa/org-20200817/ob-maxima hides /usr/share/emacs/27.1/lisp/org/ob-maxima
/home/vanni/.emacs.d/elpa/org-20200817/org-loaddefs hides /usr/share/emacs/27.1/lisp/org/org-loaddefs
/home/vanni/.emacs.d/elpa/org-20200817/ob-matlab hides /usr/share/emacs/27.1/lisp/org/ob-matlab
/home/vanni/.emacs.d/elpa/org-20200817/ol-bibtex hides /usr/share/emacs/27.1/lisp/org/ol-bibtex
/home/vanni/.emacs.d/elpa/org-20200817/org-num hides /usr/share/emacs/27.1/lisp/org/org-num
/home/vanni/.emacs.d/elpa/org-20200817/ob-lilypond hides /usr/share/emacs/27.1/lisp/org/ob-lilypond
/home/vanni/.emacs.d/elpa/org-20200817/org-compat hides /usr/share/emacs/27.1/lisp/org/org-compat
/home/vanni/.emacs.d/elpa/org-20200817/org-list hides /usr/share/emacs/27.1/lisp/org/org-list
/home/vanni/.emacs.d/elpa/org-20200817/ol-irc hides /usr/share/emacs/27.1/lisp/org/ol-irc
/home/vanni/.emacs.d/elpa/org-20200817/ob-dot hides /usr/share/emacs/27.1/lisp/org/ob-dot
/home/vanni/.emacs.d/elpa/org-20200817/ob-sed hides /usr/share/emacs/27.1/lisp/org/ob-sed
/home/vanni/.emacs.d/elpa/org-20200817/ob-io hides /usr/share/emacs/27.1/lisp/org/ob-io
/home/vanni/.emacs.d/elpa/org-20200817/ol-w3m hides /usr/share/emacs/27.1/lisp/org/ol-w3m
/home/vanni/.emacs.d/elpa/org-20200817/org-ctags hides /usr/share/emacs/27.1/lisp/org/org-ctags
/home/vanni/.emacs.d/elpa/org-20200817/ob-emacs-lisp hides /usr/share/emacs/27.1/lisp/org/ob-emacs-lisp
/home/vanni/.emacs.d/elpa/org-20200817/org-timer hides /usr/share/emacs/27.1/lisp/org/org-timer
/home/vanni/.emacs.d/elpa/org-20200817/ob-screen hides /usr/share/emacs/27.1/lisp/org/ob-screen
/home/vanni/.emacs.d/elpa/org-20200817/ob-mscgen hides /usr/share/emacs/27.1/lisp/org/ob-mscgen
/home/vanni/.emacs.d/elpa/org-20200817/org-datetree hides /usr/share/emacs/27.1/lisp/org/org-datetree
/home/vanni/.emacs.d/elpa/org-20200817/ob-ref hides /usr/share/emacs/27.1/lisp/org/ob-ref
/home/vanni/.emacs.d/elpa/org-20200817/ob-eval hides /usr/share/emacs/27.1/lisp/org/ob-eval
/home/vanni/.emacs.d/elpa/org-20200817/ob-octave hides /usr/share/emacs/27.1/lisp/org/ob-octave
/home/vanni/.emacs.d/elpa/org-20200817/org-footnote hides /usr/share/emacs/27.1/lisp/org/org-footnote
/home/vanni/.emacs.d/elpa/org-20200817/org-habit hides /usr/share/emacs/27.1/lisp/org/org-habit
/home/vanni/.emacs.d/elpa/org-20200817/ob-org hides /usr/share/emacs/27.1/lisp/org/ob-org
/home/vanni/.emacs.d/elpa/org-20200817/org-clock hides /usr/share/emacs/27.1/lisp/org/org-clock
/home/vanni/.emacs.d/elpa/org-20200817/org-id hides /usr/share/emacs/27.1/lisp/org/org-id
/home/vanni/.emacs.d/elpa/org-20200817/org-feed hides /usr/share/emacs/27.1/lisp/org/org-feed
/home/vanni/.emacs.d/elpa/org-20200817/ox-publish hides /usr/share/emacs/27.1/lisp/org/ox-publish
/home/vanni/.emacs.d/elpa/org-20200817/org-pcomplete hides /usr/share/emacs/27.1/lisp/org/org-pcomplete
/home/vanni/.emacs.d/elpa/org-20200817/ob-picolisp hides /usr/share/emacs/27.1/lisp/org/ob-picolisp
/home/vanni/.emacs.d/elpa/org-20200817/org-keys hides /usr/share/emacs/27.1/lisp/org/org-keys
/home/vanni/.emacs.d/elpa/org-20200817/org-lint hides /usr/share/emacs/27.1/lisp/org/org-lint
/home/vanni/.emacs.d/elpa/org-20200817/org-duration hides /usr/share/emacs/27.1/lisp/org/org-duration
/home/vanni/.emacs.d/elpa/org-20200817/ob-ocaml hides /usr/share/emacs/27.1/lisp/org/ob-ocaml
/home/vanni/.emacs.d/elpa/org-20200817/ol-bbdb hides /usr/share/emacs/27.1/lisp/org/ol-bbdb
/home/vanni/.emacs.d/elpa/org-20200817/ob-css hides /usr/share/emacs/27.1/lisp/org/ob-css
/home/vanni/.emacs.d/elpa/org-20200817/ob-plantuml hides /usr/share/emacs/27.1/lisp/org/ob-plantuml
/home/vanni/.emacs.d/elpa/org-20200817/org-faces hides /usr/share/emacs/27.1/lisp/org/org-faces
/home/vanni/.emacs.d/elpa/org-20200817/ob-lob hides /usr/share/emacs/27.1/lisp/org/ob-lob
/home/vanni/.emacs.d/elpa/org-20200817/ob-vala hides /usr/share/emacs/27.1/lisp/org/ob-vala
/home/vanni/.emacs.d/elpa/org-20200817/org-protocol hides /usr/share/emacs/27.1/lisp/org/org-protocol
/home/vanni/.emacs.d/elpa/org-20200817/org-table hides /usr/share/emacs/27.1/lisp/org/org-table
/home/vanni/.emacs.d/elpa/org-20200817/ob-R hides /usr/share/emacs/27.1/lisp/org/ob-R
/home/vanni/.emacs.d/elpa/org-20200817/org-goto hides /usr/share/emacs/27.1/lisp/org/org-goto
/home/vanni/.emacs.d/elpa/org-20200817/ob-python hides /usr/share/emacs/27.1/lisp/org/ob-python
/home/vanni/.emacs.d/elpa/org-20200817/ob-ditaa hides /usr/share/emacs/27.1/lisp/org/ob-ditaa
/home/vanni/.emacs.d/elpa/org-20200817/ob-ebnf hides /usr/share/emacs/27.1/lisp/org/ob-ebnf
/home/vanni/.emacs.d/elpa/org-20200817/org-capture hides /usr/share/emacs/27.1/lisp/org/org-capture
/home/vanni/.emacs.d/elpa/org-20200817/org-src hides /usr/share/emacs/27.1/lisp/org/org-src
/home/vanni/.emacs.d/elpa/org-20200817/ob-lisp hides /usr/share/emacs/27.1/lisp/org/ob-lisp
/home/vanni/.emacs.d/elpa/org-20200817/ob-fortran hides /usr/share/emacs/27.1/lisp/org/ob-fortran
/home/vanni/.emacs.d/elpa/org-20200817/ob-C hides /usr/share/emacs/27.1/lisp/org/ob-C
/home/vanni/.emacs.d/elpa/org-20200817/ob-ledger hides /usr/share/emacs/27.1/lisp/org/ob-ledger
/home/vanni/.emacs.d/elpa/org-20200817/ox-latex hides /usr/share/emacs/27.1/lisp/org/ox-latex
/home/vanni/.emacs.d/elpa/org-20200817/ob-awk hides /usr/share/emacs/27.1/lisp/org/ob-awk
/home/vanni/.emacs.d/elpa/org-20200817/ob-tangle hides /usr/share/emacs/27.1/lisp/org/ob-tangle
/home/vanni/.emacs.d/elpa/org-20200817/ob-forth hides /usr/share/emacs/27.1/lisp/org/ob-forth
/home/vanni/.emacs.d/elpa/org-20200817/org-indent hides /usr/share/emacs/27.1/lisp/org/org-indent
/home/vanni/.emacs.d/elpa/org-20200817/org hides /usr/share/emacs/27.1/lisp/org/org
/home/vanni/.emacs.d/elpa/org-20200817/ob-scheme hides /usr/share/emacs/27.1/lisp/org/ob-scheme
/home/vanni/.emacs.d/elpa/org-20200817/ol-gnus hides /usr/share/emacs/27.1/lisp/org/ol-gnus
/home/vanni/.emacs.d/elpa/org-20200817/ox-odt hides /usr/share/emacs/27.1/lisp/org/ox-odt
/home/vanni/.emacs.d/elpa/org-20200817/org-element hides /usr/share/emacs/27.1/lisp/org/org-element
/home/vanni/.emacs.d/elpa/org-20200817/ob-exp hides /usr/share/emacs/27.1/lisp/org/ob-exp
/home/vanni/.emacs.d/elpa/org-20200817/ob-processing hides /usr/share/emacs/27.1/lisp/org/ob-processing
/home/vanni/.emacs.d/elpa/org-20200817/ob-table hides /usr/share/emacs/27.1/lisp/org/ob-table
/home/vanni/.emacs.d/elpa/org-20200817/ob-perl hides /usr/share/emacs/27.1/lisp/org/ob-perl
/home/vanni/.emacs.d/elpa/org-20200817/ol-docview hides /usr/share/emacs/27.1/lisp/org/ol-docview
/home/vanni/.emacs.d/elpa/org-20200817/org-attach-git hides /usr/share/emacs/27.1/lisp/org/org-attach-git
/home/vanni/.emacs.d/elpa/org-20200817/ox hides /usr/share/emacs/27.1/lisp/org/ox
/home/vanni/.emacs.d/elpa/org-20200817/ob-sqlite hides /usr/share/emacs/27.1/lisp/org/ob-sqlite
/home/vanni/.emacs.d/elpa/org-20200817/ob-groovy hides /usr/share/emacs/27.1/lisp/org/ob-groovy
/home/vanni/.emacs.d/elpa/org-20200817/ox-beamer hides /usr/share/emacs/27.1/lisp/org/ox-beamer
/home/vanni/.emacs.d/elpa/org-20200817/ol-eww hides /usr/share/emacs/27.1/lisp/org/ol-eww
/home/vanni/.emacs.d/elpa/org-20200817/org-colview hides /usr/share/emacs/27.1/lisp/org/org-colview

Features:
(shadow sort mail-extr emacsbug forge-list forge-commands forge-semi
forge-bitbucket forge-gogs gogs forge-gitea gtea forge-gitlab glab
forge-github forge-notify forge-revnote forge-pullreq forge-issue
forge-topic parse-time iso8601 bug-reference forge-post markdown-mode
forge-repo forge forge-core forge-db closql magit-bookmark
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode diff diff-mode magit-core magit-autorevert autorevert
filenotify magit-margin magit-transient magit-process magit-mode
git-commit magit-git magit-section magit-utils crm buck emacsql-sqlite
emacsql emacsql-compiler ghub-graphql treepy gsexp ghub let-alist color
with-editor transient async-bytecomp log-edit pcvs-util add-log term
ehelp eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module
esh-groups esh-util shell smtpmail sendmail dired-aux async recentf
tree-widget org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete org-list
org-faces org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs bookmark shr svg dom
esxml-query ert help-fns dash-functional ewoc debug backtrace dash pcase
xml cl autoload radix-tree lisp-mnt tar-mode arc-mode archive-mode pp
cus-edit cus-start cus-load wid-edit misearch multi-isearch ffap
mm-archive message dired dired-loaddefs format-spec rfc822 mml mml-sec
epa derived gnus-util rmail rmail-loaddefs text-property-search
time-date mailabbrev gmm-utils mailheader mm-decode mm-bodies mm-encode
mail-utils mule-util gnutls network-stream url-http mail-parse rfc2231
rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw nsm rmc puny
url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap epg epg-config
finder-inf disp-table cl-extra help-mode time php-mode advice mode-local
find-func imenu speedbar sb-image ezimage dframe etags fileloop
generator xref project cc-langs cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs php-face php rx
php-project flymake-proc flymake compile comint ansi-color ring warnings
thingatpt droid droid-emulator droid-project droid-files droid-custom
javadoc-lookup ido page-break-lines column-enforce-mode autoinsert
exwm-edit exwm-systemtray xcb-systemtray xcb-xembed edmacro exwm
exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating xcb-cursor
xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb
xcb-xproto xcb-types xcb-debug kmacro server misc-functions info package
easymenu browse-url url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads lcms2
dynamic-setting font-render-setting cairo x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1551533 207817)
 (symbols 48 43892 517)
 (strings 32 271136 30525)
 (string-bytes 1 9032648)
 (vectors 16 98751)
 (vector-slots 8 2039028 250744)
 (floats 8 368 343)
 (intervals 56 172593 0)
 (buffers 1000 23))




Acknowledgement sent to Alessio Vanni <vannilla@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43007; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 24 Aug 2020 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.